summaryrefslogtreecommitdiff
path: root/date-fns/scripts/test/dst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'date-fns/scripts/test/dst.sh')
-rwxr-xr-xdate-fns/scripts/test/dst.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/date-fns/scripts/test/dst.sh b/date-fns/scripts/test/dst.sh
new file mode 100755
index 0000000..5e645b9
--- /dev/null
+++ b/date-fns/scripts/test/dst.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# The script runs the DST tests.
+#
+# It's a part of the test process.
+
+set -ex
+
+export PATH="$(yarn bin):$PATH"
+export NODE_ENV=test
+
+env TZ=America/Sao_Paulo babel-node --extensions .ts,.js ./test/dst/parseISO/basic.js
+env TZ=Australia/Sydney babel-node --extensions .ts,.js ./test/dst/parseISO/sydney.js
+env TZ=Pacific/Apia babel-node --extensions .ts,.js ./test/dst/parseISO/samoa.js
+env TZ=Asia/Damascus babel-node --extensions .ts,.js ./test/dst/eachDayOfInterval/basic.js
+env TZ=America/Santiago babel-node --extensions .ts,.js ./test/dst/addBusinessDays/basic.js
+env TZ=Australia/Melbourne ts-node ./test/dst/formatDistanceStrict/melbourne.ts
+env TZ=Africa/Cairo ts-node ./test/dst/formatDistanceStrict/cairo.ts \ No newline at end of file